Results 1 to 4 of 4

Thread: Leap 42.1/Xfce/Libreoffice 5 - New Install

  1. #1
    Join Date
    Jun 2012
    Location
    Missouri - USA
    Posts
    32

    Question Leap 42.1/Xfce/Libreoffice 5 - New Install

    I reinstalled Leap 42.1 w/Xfce on my laptop yesterday. It all went well except for Libreoffice. When I try to run Writer, I receive the error "The program cannot be started. Language could not be determined" I googled the problem and saw a number of replies that it is either a firewall problem or a permissions problem. I disabled my firewall, which didn't help, so then I went to a terminal and ran libreoffice-writer as root. Same error.

    Libreoffice isn't something that I use often, but I like to have Writer installed. To that end, I uninstalled LibreOffice completely, and then re-installed only Writer plus dependencies. I did all of this before I ever ran the software, so I'm not sure whether or not this was happening "out of the box." This is also what I did back in November on the same laptop when I first installed Leap, but I never had this problem.

    I would appreciate any advice, and I apologize right now if I am missing something painfully obvious. All of my language/location settings are US-English.


    Thank you!

    Will in Missouri, USA

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,307
    Blog Entries
    2

    Default Re: Leap 42.1/Xfce/Libreoffice 5 - New Install

    Have you run the following which updates your system and applications to the latest stable available?
    Code:
    zypper update
    After the above, reboot for good measure and re-launch Writer...

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3
    Join Date
    Jun 2012
    Location
    Missouri - USA
    Posts
    32

    Default Re: Leap 42.1/Xfce/Libreoffice 5 - New Install

    The system is fully updated, and I restarted it before I tried disabling the firewall and running Writer as root.

  4. #4
    Join Date
    Jun 2012
    Location
    Missouri - USA
    Posts
    32

    Default [SOLVED]Re: Leap 42.1/Xfce/Libreoffice 5 - New Install

    I finally decided to force a downgrade of Libreoffice Writer from 5.0.4 to 5.0.2 (version that originally shipped with Leap). That fixed the problem. I was hoping that once I had all of my config files in place on my home directory that I would be able to upgrade it back to version 5.0.4. Worked like a charm.

    I was going to add "[SOLVED]" to the title of my original post, but I don't seem to have the user rights to do it.


    Thanks,

    Will

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •